<!DOCTYPE html>
<html>

<head>
  <meta charset="utf-8" />
  <title>ITEA-JS ADVANCED - LESSON 2: CLASSWORK 3</title>
  <link rel="stylesheet" href="css/style.min.css" />
</head>

<body>
  <div class="buttons" id="target">
    <button class="popup__button" id="popup_1" data-popup="1"> Show popup 1</button>
    <button class="popup__button" id="popup_2" data-popup="2"> Show popup 2</button>
    <button class="popup__button" id="popup_3" data-popup="3"> Show popup 3</button>
  </div>

  <div class="popup" id="popup">

    <div class="popup__body">
      <button class="popup__close" id="popup__close">Close popup</button>
      <div class="popup__container" id="popup__containe">
        <div class="popup__item show" data-popup="1">
          <h2>I'm first popup</h2>
        </div>
        <div class="popup__item" data-popup="2">
          <h2>I'm second popup</h2>
        </div>
        <div class="popup__item" data-popup="3">
          <h2>I'm third popup</h2>
        </div>
      </div>
    </div>
  </div>
<!-- /*

Задача: Сделать корректно работающее всплывающее окно.
Условие: Узменять HTML разметку выше - нельзя.
При нажании на одну из кнопок, должно открытся окно с соответствующим data- аттрибутом.
При нажатии на кнопку close окно дожно закрываться.

*/ -->
  <script>
    var popup = document.querySelector('#popup');//возвращаем елемент Модального окна
    var buttons = document.querySelectorAll('.popup__button'); //возвращант массив с кнопок
    var info = document.querySelectorAll('.popup__item');// возвращаем массив инф с классом popup__item

    var close = function () {
      var btn = document.querySelector('#popup__close');

      btn.addEventListener('click', function () {
        popup.style.display = "none";
        for (var i = 0; i < info.length; i++) {
          info[i].classList.remove('show');// скриваем текст модал окна
        }
      })
    }
    //При нажатии на кнопку close окно закрывается.


    var popupOpen = function () {
      for (var i = 0; i < buttons.length; i++) {
        buttons[i].addEventListener('click', function () {
          var index = this.getAttribute('data-popup');// возвращаем аттрибут нажатой кнопки
          popup.style.display = "flex"; // при нажати открываем окно
          for (i = 0; i < info.length; i++) {
            var indexInfo = info[i].getAttribute('data-popup'); //возвращаем аттрибут информ блоков
            if (index === indexInfo) { // ищем одинаковые дата аттрибуты
              info[i].classList.add('show'); //добавляем класс show блоку дата атрибут которого совпадает с дата атрибутом нажатой кнопки
            }

          }

        })
      }
    }
    // При нажании на одну из кнопок, должно открытся окно с соответствующим data- аттрибутом.
    document.addEventListener('DOMContentLoaded', function () {
      close();
      popupOpen();
    })


    
  </script>
</body>

</html>